//TextAttrSkalieren_201d.js
// 15.11.06 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Dieses Script dient zum Zuweisen der aktuellen Schriftgrsse, 
//welche bei skalierten Rahmen in Klammern hinter dem Ausgangswert 
//steht. Geschieht, wenn man die Rahmen mit Ctrl-Umschalt-Ziehen
//oder mit einem Prozentwert in der Palette skaliert hat

try {
	var curSel = app.documents[0].selection;
}
catch (e) {
	alert ("Ein Dokument ffnen.");
	exit();
}

if (curSel.length == 0) {
	alert ("Es ist nichts ausgewhlt.");
	exit();
}

var selType = curSel[0].constructor.name;
if (selType == "Rectangle" || selType == "GraphicLine") {
	alert ("Nur Textrahmen auswhlen.");
	exit();
}	
else if (selType != "TextFrame" && selType != "Group") {
	alert ("Rahmen mit dem Auswahlwerkzeug auswhlen.");
	exit();
}
	
for (var i=0; i<curSel.length; i++) {
	var curItem = curSel[i];
	var curType = curItem.constructor.name;
	if (curType == "Group") {
		scaleGroupAttr(curItem);
	}
	else if (curType == "TextFrame") {
		scaleTextAttr(curItem);
	}
}

alert ("Fertig.");

function scaleGroupAttr(curGroup) {
	try {
		curGroup.transformGroupContents();
	}
	catch (e) {
	}
	var allFrames = curGroup.allPageItems;
	for (var i=0; i< allFrames.length; i++) {
		var curFrame = allFrames[i];
		var curType = curFrame.constructor.name;
		if (curType == "Group") {
			try {
				curFrame.transformGroupContents();
			}
			catch (e) {
			}
		}
		else if (curType == "TextFrame") {
			scaleTextAttr(curFrame);
		}
	}
}

function scaleTextAttr(curFrame) {
	try {
		curFrame.scaleTextAttributes();
	}
	catch (e) {
	}
}